# $Revision: 1.7 $, $Date: 2005/03/04 07:02:53 $
#
# Conditional build:
%bcond_with	tests	# perform "make check" (requires mounted /proc)
#
Summary:	GNU libsigsegv - handling page faults in user mode
Summary(pl):	GNU libsigsegv - obsuga bdw segmentacji na poziomie uytkownika
Name:		libsigsegv
Version:	2.2
Release:	1
License:	GPL
Group:		Development/Libraries
Source0:	ftp://ftp.gnu.org/gnu/libsigsegv/%{name}-%{version}.tar.gz
# Source0-md5:	d914c40c4bf2bff9ba60b37bbc5fc226
URL:		http://www.gnu.org/directory/GNU/GNUlibsigsegv.html
BuildRequires:	automake
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a library for handling page faults in user mode. A page fault
occurs when a program tries to access to a region of memory that is
currently not available. Catching and handling a page fault is a
useful technique for implementing:
- pageable virtual memory,
- memory-mapped access to persistent databases,
- generational garbage collectors,
- stack overflow handlers,
- distributed shared memory,
- ...

%description -l pl
Biblioteka obsuguje bdy obsugi stron na poziomie uytkownika. Bd
strony pojawia si gdy program prbuje dosta si do aktualnie
niedostpnego obszaru pamici. Zbieranie i obsuga bdw stron jest
uyteczn technik do implementacji:
- stronicowalnej pamici wirtualnej
- mapowalnej pamici baz danych
- generowania odmiecaczy
- bdw przepenienia stosu
- rozproszonej pamici wspdzielonej
- ...

%prep
%setup -q

%build
cp -f /usr/share/automake/config.sub autoconf
%configure
%{__make}

%{?with_tests:%{__make} check}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README ChangeLog NEWS AUTHORS
%{_includedir}/*.h
%{_libdir}/lib*.a
%{_libdir}/lib*.la

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libsigsegv.spec,v $
Revision 1.7  2005/03/04 07:02:53  qboosh
- updated to 2.2

Revision 1.6  2004/08/18 15:55:51  havner
- fixed config.sub
- rel 3

Revision 1.5  2004/08/18 12:36:50  qboosh
- BR: automake

Revision 1.4  2004/08/18 10:16:53  domelu
- config.sub
- rel 2

Revision 1.3  2003/12/05 10:44:18  qboosh
- tests work on alpha, but require mounted /proc; bcond added (off by default)
- cleanups

Revision 1.2  2003/12/04 23:48:42  undefine
- disable make check on alphas

Revision 1.1  2003/12/04 22:11:43  undefine
- initital pld version, TODO: ac/am
